签名

GET https://digily.link/api/signatures/
curl --request GET \
--url 'https://digily.link/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
参数 细节 描述
search 可选的 字符串 搜索字符串。
search_by 可选的 字符串 您正在搜索哪个字段。允许的值为:name
datetime_field 可选的 字符串 允许的值:datetime, last_datetime
datetime_start 可选的 字符串 从此日期时间开始筛选结果。Y-m-d H:i:s格式。
datetime_end 可选的 字符串 筛选截至此日期时间的结果。Y-m-d H:i:s 格式。
order_by 可选的 字符串 按照哪个字段对结果进行排序。允许的值为:signature_id, datetime, last_datetime, name
order_type 可选的 字符串 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。
page 可选的 整数 您想要结果的页面编号。默认为1
results_per_page 可选的 整数 每页显示多少个结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认为25
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 0,
            "name": "John Doe",
            "template": "mars",
            "settings": {
                "direction": "ltr",
                "is_removed_branding": true,
                "image_url": "",
                "sign_off": "Regards,",
                "full_name": "John Doe",
                "job_title": "Software Engineer",
                "department": "Engineering",
                "company": "Example Company",
                "email": "john@example.com",
                "website_name": "Example",
                "website_url": "https:\/\/example.com\/",
                "address": "123 Example Street",
                "address_url": "",
                "phone_number": "",
                "whatsapp": "",
                "facebook_messenger": "",
                "telegram": "",
                "disclaimer": "",
                "font_family": "arial",
                "font_size": 14,
                "width": 500,
                "image_width": 50,
                "image_border_radius": 0,
                "socials_width": 20,
                "socials_padding": 10,
                "separator_size": 0,
                "border_radius": 10,
                "background_color": "#f9f9f9",
                "border_color": "#e0e0e0",
                "theme_color": "#000000",
                "full_name_color": "#000000",
                "text_color": "#000000",
                "link_color": "#000000",
                "facebook": "johndoe",
                "threads": "johndoe",
                "x": "johndoe",
                "instagram": "johndoe",
                "youtube": "johndoe",
                "tiktok": "",
                "spotify": "",
                "pinterest": "",
                "linkedin": "",
                "snapchat": "",
                "twitch": "",
                "discord": "",
                "github": "",
                "reddit": ""
            },
            "last_datetime": null,
            "datetime": "2026-07-17 08:27:06"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://digily.link/api/signatures?page=1",
        "last": "https://digily.link/api/signatures?page=1",
        "next": null,
        "prev": null,
        "self": "https://digily.link/api/signatures?page=1"
    }
}
GET https://digily.link/api/signatures/{signature_id}
curl --request GET \
--url 'https://digily.link/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe",
        "template": "mars",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": true,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "Engineering",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "Example",
            "website_url": "https:\/\/example.com\/",
            "address": "123 Example Street",
            "address_url": "",
            "phone_number": "",
            "whatsapp": "",
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 0,
            "border_radius": 10,
            "background_color": "#f9f9f9",
            "border_color": "#e0e0e0",
            "theme_color": "#000000",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "janedoe",
            "threads": "janedoe",
            "x": "janedoe",
            "instagram": "janedoe",
            "youtube": "janedoe",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": null,
        "datetime": "2026-07-17 08:27:06"
    }
}
POST https://digily.link/api/signatures
参数 细节 描述
name 需要 字符串 姓名
project_id 可选的 整数 一个项目将帮助您对资源进行分类
template 可选的 字符串 允许的值:plain_text, mars, mercury, venus, nova
direction 可选的 字符串 允许的值:ltr, rtl
is_removed_branding 可选的 布尔值 移除品牌标识
image_url 可选的 字符串 仅使用 JPG、JPEG、GIF、PNG 图像。
sign_off 可选的 字符串 注销
full_name 可选的 字符串 全名
job_title 可选的 字符串 职位名称
department 可选的 字符串 部门
company 可选的 字符串 公司
email 可选的 字符串 电子邮件
website_name 可选的 字符串 网站名称
website_url 可选的 字符串 网站网址
address 可选的 字符串 地址
address_url 可选的 字符串 例如,链接到 Google 地图位置。
phone_number 可选的 字符串 电话号码
whatsapp 可选的 字符串 WhatsApp
facebook_messenger 可选的 字符串 Facebook Messenger 用户名
telegram 可选的 字符串 Telegram 用户名
disclaimer 可选的 字符串 免责声明文本
font_family 可选的 字符串 允许的值:arial, verdana, helvetica, times_new_roman, georgia
font_size 可选的 整数 允许的值:12-18
width 可选的 整数 允许的值:300-600
image_width 可选的 整数 允许的值:45-150
image_border_radius 可选的 整数 允许的值:0-100
socials_width 可选的 整数 允许的值:15-30
socials_padding 可选的 整数 允许的值:5-15
separator_size 可选的 整数 允许的值:0-5
border_radius 可选的 整数 允许的值:0-30
background_color 可选的 字符串 背景颜色
border_color 可选的 字符串 边框颜色
theme_color 可选的 字符串 主题颜色
full_name_color 可选的 字符串 全名颜色
text_color 可选的 字符串 文字颜色
link_color 可选的 字符串 链接颜色
facebook 可选的 字符串 Facebook 用户名
threads 可选的 字符串 Threads 用户名
x 可选的 字符串 X 用户名
instagram 可选的 字符串 Instagram用户名
youtube 可选的 字符串 YouTube频道
tiktok 可选的 字符串 TikTok 用户名
spotify 可选的 字符串 Spotify 用户名
pinterest 可选的 字符串 Pinterest 用户名
linkedin 可选的 字符串 LinkedIn 用户名
snapchat 可选的 字符串 Snapchat用户名
twitch 可选的 字符串 Twitch 用户名
discord 可选的 字符串 Discord 用户 ID
github 可选的 字符串 Github 用户名
reddit 可选的 字符串 Reddit 用户名
curl --request POST \
--url 'https://digily.link/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=jane@example.com' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe",
        "template": "nova",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": false,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "",
            "website_url": "",
            "address": "",
            "address_url": "",
            "phone_number": "",
            "whatsapp": null,
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 1,
            "border_radius": 10,
            "background_color": "#f8fafc",
            "border_color": "#cbd5e1",
            "theme_color": "#2563eb",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "",
            "threads": "",
            "x": "",
            "instagram": "",
            "youtube": "",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": null,
        "datetime": "2026-07-17 08:27:06"
    }
}
POST https://digily.link/api/signatures/{signature_id}
参数 细节 描述
name 可选的 字符串 姓名
project_id 可选的 整数 一个项目将帮助您对资源进行分类
template 可选的 字符串 允许的值:plain_text, mars, mercury, venus, nova
direction 可选的 字符串 允许的值:ltr, rtl
is_removed_branding 可选的 布尔值 移除品牌标识
image_url 可选的 字符串 仅使用 JPG、JPEG、GIF、PNG 图像。
sign_off 可选的 字符串 注销
full_name 可选的 字符串 全名
job_title 可选的 字符串 职位名称
department 可选的 字符串 部门
company 可选的 字符串 公司
email 可选的 字符串 电子邮件
website_name 可选的 字符串 网站名称
website_url 可选的 字符串 网站网址
address 可选的 字符串 地址
address_url 可选的 字符串 例如,链接到 Google 地图位置。
phone_number 可选的 字符串 电话号码
whatsapp 可选的 字符串 WhatsApp
facebook_messenger 可选的 字符串 Facebook Messenger 用户名
telegram 可选的 字符串 Telegram 用户名
disclaimer 可选的 字符串 免责声明文本
font_family 可选的 字符串 允许的值:arial, verdana, helvetica, times_new_roman, georgia
font_size 可选的 整数 允许的值:12-18
width 可选的 整数 允许的值:300-600
image_width 可选的 整数 允许的值:45-150
image_border_radius 可选的 整数 允许的值:0-100
socials_width 可选的 整数 允许的值:15-30
socials_padding 可选的 整数 允许的值:5-15
separator_size 可选的 整数 允许的值:0-5
border_radius 可选的 整数 允许的值:0-30
background_color 可选的 字符串 背景颜色
border_color 可选的 字符串 边框颜色
theme_color 可选的 字符串 主题颜色
full_name_color 可选的 字符串 全名颜色
text_color 可选的 字符串 文字颜色
link_color 可选的 字符串 链接颜色
facebook 可选的 字符串 Facebook 用户名
threads 可选的 字符串 Threads 用户名
x 可选的 字符串 X 用户名
instagram 可选的 字符串 Instagram用户名
youtube 可选的 字符串 YouTube频道
tiktok 可选的 字符串 TikTok 用户名
spotify 可选的 字符串 Spotify 用户名
pinterest 可选的 字符串 Pinterest 用户名
linkedin 可选的 字符串 LinkedIn 用户名
snapchat 可选的 字符串 Snapchat用户名
twitch 可选的 字符串 Twitch 用户名
discord 可选的 字符串 Discord 用户 ID
github 可选的 字符串 Github 用户名
reddit 可选的 字符串 Reddit 用户名
curl --request POST \
--url 'https://digily.link/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe Signature",
        "template": "nova",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": false,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "",
            "website_url": "",
            "address": "",
            "address_url": "",
            "phone_number": "",
            "whatsapp": null,
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 1,
            "border_radius": 16,
            "background_color": "#fff7ed",
            "border_color": "#fed7aa",
            "theme_color": "#c2410c",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "",
            "threads": "",
            "x": "",
            "instagram": "",
            "youtube": "",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": "2026-07-17 08:27:06",
        "datetime": "2026-07-17 08:27:06"
    }
}
DELETE https://digily.link/api/signatures/{signature_id}
curl --request DELETE \
--url 'https://digily.link/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \